View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
05766Bug reportsSurvey takingpublic2012-06-18 05:36
ReporterTMSWhite Assigned ToTMSWhite  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version1.92RC3 
Target Version1.92+Fixed in Version1.92+ 
Summary05766: exclude_all_others_auto does not work
DescriptionAlthough the other array_filter attributes work in 1.92, the exclude_all_others_auto does not.

There is also an interaction with json_encode, so if people try to use this feature, they will get a script error (since EM will try to parse the json_encoded content), but it doesn't prevent the page from working properly.

Lastly, this did not work perfectly in 1.91. If you tried to put two questions on the same page, only the last question would have the auto feature work properly (since it just creates the variable autoArray without a qid suffix).
Additional InformationUncommenting the if ((typeof(autoArray) != "undefined")) section of survey_runtime.js does not fix the problem.

Will need to add this to EM such that it truly unchecks individual values first before checking the exclusive option. Otherwise, if try to uncheck the exclusive option, the _auto feature will immediately re-check it, which (by setting the other questions to irrelevant) makes it impossible to uncheck any of the other fields. Thus, without proper coding, once _auto is triggered, there would be no way to reverse it.

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)12376
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql 5.3
Server OS (if known)Windows XP
Webserver software & version (if known)XAMPP
PHP Version5.3

Activities

c_schmitz

c_schmitz

2012-03-20 18:27

administrator   ~18015

At the moment the other question options are marked as not being relevant (and so disappearing).

I had two users asking me about this. Can you give this another shot so it is working properly?
TMSWhite

TMSWhite

2012-04-13 16:36

reporter   ~18352

Denis, since you have a good strategy for the exclusive option, can you take a stab at this one too? Your jQuery and CSS knowledge is much better than mine.
TMSWhite

TMSWhite

2012-05-16 06:38

reporter   ~18779

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8486
TMSWhite

TMSWhite

2012-05-16 06:38

reporter   ~18780

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8488
c_schmitz

c_schmitz

2012-05-17 10:27

administrator   ~18812

New 1.92+ version released.
TMSWhite

TMSWhite

2012-05-25 19:38

reporter   ~18901

Current approach does not work in some circumstances (especially if exclude_all_others_auto is used on a question that is not being array_filter-ed by an earlier question)
TMSWhite

TMSWhite

2012-05-25 19:41

reporter   ~18902

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8546
TMSWhite

TMSWhite

2012-05-25 19:51

reporter   ~18903

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8547
c_schmitz

c_schmitz

2012-05-26 09:53

administrator   ~18906

New version 1.92+ released.
TMSWhite

TMSWhite

2012-06-18 05:30

reporter   ~19295

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8755
TMSWhite

TMSWhite

2012-06-18 05:36

reporter   ~19296

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8757

Related Changesets

LimeSurvey: master 4627d347

2012-05-15 14:49:08

TMSWhite

Details Diff
Fixed issue#05766: exclude_all_others_auto does not work
Dev Now works properly even if question is array_filtered (e.g. sets exclusive option if all other visible/relevant options are set)
Affected Issues
05766
mod - classes/expressions/LimeExpressionManager.php Diff File
mod - qanda.php Diff File

LimeSurvey: Yii 114cef20

2012-05-15 14:58:20

TMSWhite

Details Diff
Fixed issue#05766: exclude_all_others_auto does not work
Dev Now works properly even if question is array_filtered (e.g. sets exclusive option if all other visible/relevant options are set)
Affected Issues
05766
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - scripts/survey_runtime.js Diff File

LimeSurvey: master 024865fe

2012-05-15 21:35:21

TMSWhite

Details Diff
Fixed issue 05766: exclude_all_others_auto does not work
Dev fixed typo in logic detecting that exclude_all_others_auto is active
Affected Issues
05766
mod - classes/expressions/LimeExpressionManager.php Diff File

LimeSurvey: Yii 57928d46

2012-05-15 21:36:27

TMSWhite

Details Diff
Fixed issue 05766: exclude_all_others_auto does not work
Dev fixed typo in logic detecting that exclude_all_others_auto is active
Affected Issues
05766
mod - application/helpers/expressions/em_manager_helper.php Diff File

LimeSurvey: master 65a43342

2012-05-25 10:40:35

TMSWhite

Details Diff
Fixed issue 05766: exclude_all_others_auto does not work
Dev Was failing when the equations tried to reference variables that were not also declared elsewhere on the page.
Affected Issues
05766
mod - classes/expressions/ExpressionManager.php Diff File
mod - classes/expressions/LimeExpressionManager.php Diff File

LimeSurvey: Yii 21a7c498

2012-05-25 10:50:24

TMSWhite

Details Diff
Fixed issue 05766: exclude_all_others_auto does not work
Dev Was failing when the equations tried to reference variables that were not also declared elsewhere on the page.
Affected Issues
05766
mod - application/helpers/expressions/em_core_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File

LimeSurvey: master 9b67423b

2012-06-17 20:28:40

TMSWhite

Details Diff
Fixed issue 05766: exclude_all_others_auto does not work
Dev was not working for Multiple Choice with Comments
Affected Issues
05766
mod - classes/expressions/LimeExpressionManager.php Diff File
mod - common_functions.php Diff File

LimeSurvey: Yii 420595a2

2012-06-17 20:34:55

TMSWhite

Details Diff
Fixed issue 05766: exclude_all_others_auto does not work
Dev was not working for Multiple Choice with Comments
Affected Issues
05766
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File

Issue History

Date Modified Username Field Change
2012-02-06 22:23 TMSWhite New Issue
2012-02-07 12:16 c_schmitz Assigned To => TMSWhite
2012-02-07 12:16 c_schmitz Status new => assigned
2012-03-20 18:27 c_schmitz Note Added: 18015
2012-03-20 18:27 c_schmitz Target Version => 1.92+
2012-04-13 16:35 TMSWhite Assigned To TMSWhite => DenisChenu
2012-04-13 16:36 TMSWhite Note Added: 18352
2012-05-11 14:29 DenisChenu Assigned To DenisChenu => TMSWhite
2012-05-16 00:09 TMSWhite Status assigned => resolved
2012-05-16 00:09 TMSWhite Fixed in Version => 1.92+
2012-05-16 00:09 TMSWhite Resolution open => fixed
2012-05-16 00:12 TMSWhite Changeset attached => LimeSurvey master 4627d347
2012-05-16 00:12 TMSWhite Changeset attached => LimeSurvey Yii 114cef20
2012-05-16 06:38 TMSWhite Changeset attached => LimeSurvey master 024865fe
2012-05-16 06:38 TMSWhite Note Added: 18779
2012-05-16 06:38 TMSWhite Changeset attached => LimeSurvey Yii 57928d46
2012-05-16 06:38 TMSWhite Note Added: 18780
2012-05-17 10:27 c_schmitz Note Added: 18812
2012-05-17 10:27 c_schmitz Status resolved => closed
2012-05-25 19:38 TMSWhite Note Added: 18901
2012-05-25 19:38 TMSWhite Status closed => feedback
2012-05-25 19:38 TMSWhite Resolution fixed => reopened
2012-05-25 19:39 TMSWhite Status feedback => assigned
2012-05-25 19:41 TMSWhite Changeset attached => LimeSurvey master 65a43342
2012-05-25 19:41 TMSWhite Note Added: 18902
2012-05-25 19:51 TMSWhite Changeset attached => LimeSurvey Yii 21a7c498
2012-05-25 19:51 TMSWhite Note Added: 18903
2012-05-25 19:51 TMSWhite Status assigned => resolved
2012-05-25 19:51 TMSWhite Resolution reopened => fixed
2012-05-26 09:53 c_schmitz Note Added: 18906
2012-05-26 09:53 c_schmitz Status resolved => closed
2012-06-18 05:30 TMSWhite Changeset attached => LimeSurvey master 9b67423b
2012-06-18 05:30 TMSWhite Note Added: 19295
2012-06-18 05:36 TMSWhite Changeset attached => LimeSurvey Yii 420595a2
2012-06-18 05:36 TMSWhite Note Added: 19296